const config = require('../../config');
const providers = config.providers;
const crypto = require('crypto');
const bcrypt = require('bcrypt');
const moment = require('moment');

module.exports = function(sequelize, DataTypes) {
  const daily_login_rewards = sequelize.define(
    'daily_login_rewards',
    {
      id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
      },

rewarded_at: {
        type: DataTypes.DATE,
      
      

      },

coins_awarded: {
        type: DataTypes.INTEGER,
      
      

      },

streak_day: {
        type: DataTypes.INTEGER,
      
      

      },

      importHash: {
        type: DataTypes.STRING(255),
        allowNull: true,
        unique: true,
      },
    },
    {
      timestamps: true,
      paranoid: true,
      freezeTableName: true,
    },
  );

  daily_login_rewards.associate = (db) => {


/// loop through entities and it's fields, and if ref === current e[name] and create relation has many on parent entity







































//end loop



    db.daily_login_rewards.belongsTo(db.users, {
      as: 'user',
      foreignKey: {
        name: 'userId',
      },
      constraints: false,
    });




    db.daily_login_rewards.belongsTo(db.users, {
      as: 'createdBy',
    });

    db.daily_login_rewards.belongsTo(db.users, {
      as: 'updatedBy',
    });
  };



  return daily_login_rewards;
};


